Bug 227142 - editors/focuswriter: Update to 1.6.11
Summary: editors/focuswriter: Update to 1.6.11
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Fernando Apesteguía
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2018-03-31 17:53 UTC by lightside
Modified: 2018-04-05 01:47 UTC (History)
1 user (show)

See Also:


Attachments
Proposed patch (since 462654 revision) (1.82 KB, patch)
2018-03-31 17:53 UTC, lightside
lightside: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description lightside 2018-03-31 17:53:01 UTC
Created attachment 192012 [details]
Proposed patch (since 462654 revision)

Patch to update editors/focuswriter port from 1.6.10 to 1.6.11 version.

Look following links for changes:
https://github.com/gottcode/focuswriter/compare/v1.6.10...v1.6.11
https://github.com/gottcode/focuswriter/blob/v1.6.11/NEWS#L1-L4

- Add CACHE_ICONS option [1]

1 - Was proposed on bug 226122 comment #23. Similar approach was used for editors/libreoffice:
https://github.com/freebsd/freebsd-ports/blob/469f0397e757975791f9aaceddb1e7deeb66ad1a/editors/libreoffice/Makefile#L332-L336

The ports-mgmt/portlint output:
-8<--
% portlint -V
portlint version 2.17.16
% portlint -C
looks fine.
-->8-

The build was tested on FreeBSD 10.3 amd64.
Comment 1 Fernando Apesteguía freebsd_committer 2018-03-31 18:03:44 UTC
I'll take this.
Comment 2 Fernando Apesteguía freebsd_committer 2018-04-03 16:08:30 UTC
Hi lightside, 

Since the issue detailed in 226122 has not been resolved, I will update the port but will not add the part about the icons cache. That will have to wait until there is a consensus on how to do it properly :)

Thanks for your understanding
Comment 3 commit-hook freebsd_committer 2018-04-03 16:19:25 UTC
A commit references this bug:

Author: fernape
Date: Tue Apr  3 16:19:17 UTC 2018
New revision: 466363
URL: https://svnweb.freebsd.org/changeset/ports/466363

Log:
  Update editors/focuswriter 1.6.11

  PR:	227142
  Submitted by:	lightside@gmx.com
  Approved by:	tcberner (mentor)
  Differential Revision:	https://reviews.freebsd.org/D14939

Changes:
  head/editors/focuswriter/Makefile
  head/editors/focuswriter/distinfo
Comment 4 Fernando Apesteguía freebsd_committer 2018-04-03 16:20:22 UTC
Committed.

Thanks!
Comment 5 lightside 2018-04-03 19:33:41 UTC
Hello.

(In reply to Fernando Apesteguía from comment #2)
> Thanks for your understanding
In my opinion, the editors/focuswriter port is broken for GTK+ environment since ports r461416 changes, because of bug 223498 and/or possible misunderstanding about icons cache on GTK+ environment by related people (including Mk/Uses/gnome.mk maintainer(s)/committer(s)). The ports-mgmt/portlint suggested to add INSTALLS_ICONS=yes before v2.17.15 ( ports r457486 changes ). Therefore, I proposed manual solution, which already used by editors/libreoffice port.

Thanks for commit, anyway.

For users on GTK+ environment:
If you have issues with icons cache on GTK+ environment, related to editors/focuswriter installation/deinstallation (between installation of other application(s), which uses graphics/gtk-update-icon-cache for /usr/local/share/icons/hicolor directory), you may use following solutions:
- Installation of editors/focuswriter port with INSTALLS_ICONS=yes macro:
# cd /usr/ports/editors/focuswriter && make INSTALLS_ICONS=yes deinstall install clean
- Manually created editors/focuswriter-cache-icons port (see bug 226122 comment #11).
- For example, reinstall editors/libreoffice (or some other port, which uses graphics/gtk-update-icon-cache for /usr/local/share/icons/hicolor) after editors/focuswriter installation/deinstallation, which may update /usr/local/share/icons/hicolor/icon-theme.cache.
- Run following commands after installation/deinstallation of editors/focuswriter port:
# rm -f /usr/local/share/icons/hicolor/icon-theme.cache
# gtk-update-icon-cache -q -f /usr/local/share/icons/hicolor
Comment 6 lightside 2018-04-03 21:06:18 UTC
(In reply to comment #5)
> between installation of other application(s), which uses
> graphics/gtk-update-icon-cache for /usr/local/share/icons/hicolor directory
For example, install editors/focuswriter (from ports r466363), which will install some icons to /usr/local/share/icons/hicolor subdirectories (related to misc/hicolor-icon-theme). Then install editors/libreoffice (or some other port, which uses graphics/gtk-update-icon-cache for /usr/local/share/icons/hicolor directory), which may update /usr/local/share/icons/hicolor/icon-theme.cache after installation. Deinstall editors/focuswriter, which also removes some icons from /usr/local/share/icons/hicolor subdirectories. At this point, the /usr/local/share/icons/hicolor/icon-theme.cache is not correct for some related icons. This maybe fixed by using some solution(s) from comment #5 or deinstallation/reinstallation of editors/libreoffice, in this case.
Comment 7 lightside 2018-04-03 21:41:46 UTC
(In reply to comment #6)
> At this point, the /usr/local/share/icons/hicolor/icon-theme.cache is not
> correct for some related icons.
On the other hand, the `gtk-update-icon-cache -v /usr/local/share/icons/hicolor` doesn't report anything wrong.

-8<--
% svn co -r 466363 https://svn.FreeBSD.org/ports/head/editors/focuswriter
% cd focuswriter
% su
<..>
# make deinstall install clean
<..>
# rm -f /usr/local/share/icons/hicolor/icon-theme.cache
# gtk-update-icon-cache -q -f /usr/local/share/icons/hicolor
# pkg delete focuswriter
<..>
# exit
% env LANG=C gtk-update-icon-cache --help | grep validate
  -v, --validate               Validate existing icon cache
% gtk-update-icon-cache -v /usr/local/share/icons/hicolor && echo ok
ok
% grep focuswriter /usr/local/share/icons/hicolor/icon-theme.cache
Binary file /usr/local/share/icons/hicolor/icon-theme.cache matches
% su
<..>
# gtk-update-icon-cache -q -f /usr/local/share/icons/hicolor
# exit
% grep focuswriter /usr/local/share/icons/hicolor/icon-theme.cache || echo not found
not found
-->8-
Comment 8 lightside 2018-04-04 03:43:51 UTC
(In reply to comment #5)
> The ports-mgmt/portlint suggested to add INSTALLS_ICONS=yes before v2.17.15
> ( ports r457486 changes ).
-8<--
% svn co -r 457485 https://svn.FreeBSD.org/ports/head/ports-mgmt/portlint
<..>
% grep ^DISTVERSION= /usr/ports/editors/focuswriter/Makefile
DISTVERSION=	1.6.11
% perl portlint/src/portlint.pl -V
portlint.pl version 2.17.14
% perl portlint/src/portlint.pl -C /usr/ports/editors/focuswriter
WARN: /usr/ports/editors/focuswriter/pkg-plist: [5]: installing icons, please define INSTALLS_ICONS as appropriate
WARN: /usr/ports/editors/focuswriter/pkg-plist: [6]: installing icons, please define INSTALLS_ICONS as appropriate
WARN: /usr/ports/editors/focuswriter/pkg-plist: [7]: installing icons, please define INSTALLS_ICONS as appropriate
WARN: /usr/ports/editors/focuswriter/pkg-plist: [8]: installing icons, please define INSTALLS_ICONS as appropriate
WARN: /usr/ports/editors/focuswriter/pkg-plist: [9]: installing icons, please define INSTALLS_ICONS as appropriate
WARN: /usr/ports/editors/focuswriter/pkg-plist: [10]: installing icons, please define INSTALLS_ICONS as appropriate
WARN: /usr/ports/editors/focuswriter/pkg-plist: [11]: installing icons, please define INSTALLS_ICONS as appropriate
WARN: /usr/ports/editors/focuswriter/pkg-plist: [12]: installing icons, please define INSTALLS_ICONS as appropriate
WARN: /usr/ports/editors/focuswriter/pkg-plist: [13]: installing icons, please define INSTALLS_ICONS as appropriate
WARN: /usr/ports/editors/focuswriter/pkg-plist: [14]: installing icons, please define INSTALLS_ICONS as appropriate
WARN: /usr/ports/editors/focuswriter/pkg-plist: [15]: installing icons, please define INSTALLS_ICONS as appropriate
0 fatal errors and 11 warnings found.
-->8-
Comment 9 Fernando Apesteguía freebsd_committer 2018-04-04 16:33:18 UTC
Have you tried to create a review as Yuri suggested? (bug #226122, comment #9).

Additionally, it could be helpful to contact freebsd-gnome@ and see if they can provide come course of action.
Comment 10 lightside 2018-04-05 01:47:26 UTC
(In reply to Fernando Apesteguía from comment #9)
> Have you tried to create a review as Yuri suggested?
> (bug #226122, comment #9).
Have yuri@ tried to create a review after bug 225770 comment #1?
As far as I know, no. At least, this wasn't pointed in related PRs.

Did I provide a testcase, which was asked in bug 225770 comment #7?
Yes, in bug 226122 comment #13, bug 227142 comment #7, as well as previous explanations.

(In reply to Fernando Apesteguía from comment #9)
> Additionally, it could be helpful to contact freebsd-gnome@ and see if they
> can provide some course of action.
Yes, I contacted with gnome@, portmgr@, etc. They are in CC of bug 226122.

This PR is closed. On the other hand, interested people may read about some solutions in comment #5.